# This is a firmware package, so binaries (which are not run on the host)
# in the end package are expected.
%define _binaries_in_noarch_packages_terminate_build   0

%global sof_version 1.4.2
%global sof_commit 72a04d57d04c2df6e9dbf4eba0a98f40c252ee0b
%global sof_shortcommit %(c=%{sof_commit}; echo ${c:0:7})

Summary:        Firmware and topology files for Sound Open Firmware project
Name:           alsa-sof-firmware
Version:        %{sof_version}
Release:        1%{?dist}
# See later in the spec for a breakdown of licensing
License:        BSD
URL:            https://github.com/thesofproject/sof-bin
Source:         https://github.com/thesofproject/sof-bin/archive/%{sof_commit}/sof-bin-%{sof_shortcommit}.tar.gz
Requires:       linux-firmware-whence

# noarch, since the package is firmware
BuildArch:      noarch

%description
This package contains the firmware binaries for the Sound Open Firmware project.

%package debug
Requires:       alsa-sof-firmware
Summary:        Debug files for Sound Open Firmware project
License:        BSD

%description debug
This package contains the debug files for the Sound Open Firmware project.

%prep
%autosetup -n sof-bin-%{sof_commit}

%build

%install
mkdir -p %{buildroot}/lib/firmware
cp -ra lib/firmware/* %{buildroot}/lib/firmware
# remove NXP firmware files
rm -rf %{buildroot}/lib/firmware/nxp

%files
%doc README* LICENCE*

# Licence: 3-clause BSD
/lib/firmware/intel/sof-tplg*
# Licence: SOF (3-clause BSD plus others)
/lib/firmware/intel/sof/*.ri
/lib/firmware/intel/sof/*/*.ri
/lib/firmware/intel/sof/*/*/*.ri

%files debug
#/lib/firmware/intel/sof/*.ldc
/lib/firmware/intel/sof/*/*.ldc
#/lib/firmware/intel/sof/*/*/*.ldc


%changelog
* Mon Mar  2 2020 Jaroslav Kysela <perex@perex.cz> - 1.4.2-1
- Initial version, SOF firmware 1.4.2
